/*
 * Copyright (C) 2016 Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef DISPLAY_X11_XRANDR
#define DISPLAY_X11_XRANDR 1

#include "display-x11-heads.h"

head_t *xrandr_init(Display *display, int scrnum, Screen *scr, Window root, int *headcount);
head_t *xrandr_update(Display *display, int scrnum, Screen *scr, Window root, int *headcount, XEvent *ev);

#endif

