/*
 * Copyright (C) 2004, 2005, 2007, 2009 Moritz Orbach <zufall@apfelboymchen.net>
 *
 * Zufall is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Zufall is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 */
#ifndef LIST_H
#define LIST_H 1

struct list_s;
typedef struct list_s list_t;

extern list_t *list_init(void);
extern void *list_get(list_t *list, int num);
extern void *list_append(list_t *list, const void *data, unsigned int datasize);
extern int list_count(list_t *list);
extern int list_delete(list_t *list, unsigned int pos);
extern int list_destroy(list_t *list);

#endif
